with GNATCOM.IInterface;

with GNATCOM.Errors;

package body MSHTML.ISVGLineElement_Interface is

   procedure Initialize (This : in out ISVGLineElement_Type) is
   begin
      Set_IID (This, IID_ISVGLineElement);
   end Initialize;

   function Pointer (This : ISVGLineElement_Type)
     return Pointer_To_ISVGLineElement
   is
   begin
      return To_Pointer_To_ISVGLineElement (Address (This));
   end Pointer;

   procedure Attach (This    : in out ISVGLineElement_Type;
                     Pointer : in     Pointer_To_ISVGLineElement)
   is
   begin
      Attach (This, GNATCOM.IInterface.To_Pointer_To_IUnknown
              (Pointer.all'Address));
   end Attach;

   procedure PutRef_x1
     (This : ISVGLineElement_Type;
      p    : Pointer_To_ISVGAnimatedLength)
   is
   begin
      GNATCOM.Errors.Error_Check
        (Pointer (This).Vtbl.PutRef_x1
         (Pointer (This),
          p));

   end PutRef_x1;

   function Get_x1
     (This : ISVGLineElement_Type)
     return Pointer_To_ISVGAnimatedLength
   is
       RetVal : aliased Pointer_To_ISVGAnimatedLength;
   begin
      GNATCOM.Errors.Error_Check
        (Pointer (This).Vtbl.Get_x1
         (Pointer (This),
          RetVal'Unchecked_Access));

      return RetVal;
   end Get_x1;

   procedure PutRef_y1
     (This : ISVGLineElement_Type;
      p    : Pointer_To_ISVGAnimatedLength)
   is
   begin
      GNATCOM.Errors.Error_Check
        (Pointer (This).Vtbl.PutRef_y1
         (Pointer (This),
          p));

   end PutRef_y1;

   function Get_y1
     (This : ISVGLineElement_Type)
     return Pointer_To_ISVGAnimatedLength
   is
       RetVal : aliased Pointer_To_ISVGAnimatedLength;
   begin
      GNATCOM.Errors.Error_Check
        (Pointer (This).Vtbl.Get_y1
         (Pointer (This),
          RetVal'Unchecked_Access));

      return RetVal;
   end Get_y1;

   procedure PutRef_x2
     (This : ISVGLineElement_Type;
      p    : Pointer_To_ISVGAnimatedLength)
   is
   begin
      GNATCOM.Errors.Error_Check
        (Pointer (This).Vtbl.PutRef_x2
         (Pointer (This),
          p));

   end PutRef_x2;

   function Get_x2
     (This : ISVGLineElement_Type)
     return Pointer_To_ISVGAnimatedLength
   is
       RetVal : aliased Pointer_To_ISVGAnimatedLength;
   begin
      GNATCOM.Errors.Error_Check
        (Pointer (This).Vtbl.Get_x2
         (Pointer (This),
          RetVal'Unchecked_Access));

      return RetVal;
   end Get_x2;

   procedure PutRef_y2
     (This : ISVGLineElement_Type;
      p    : Pointer_To_ISVGAnimatedLength)
   is
   begin
      GNATCOM.Errors.Error_Check
        (Pointer (This).Vtbl.PutRef_y2
         (Pointer (This),
          p));

   end PutRef_y2;

   function Get_y2
     (This : ISVGLineElement_Type)
     return Pointer_To_ISVGAnimatedLength
   is
       RetVal : aliased Pointer_To_ISVGAnimatedLength;
   begin
      GNATCOM.Errors.Error_Check
        (Pointer (This).Vtbl.Get_y2
         (Pointer (This),
          RetVal'Unchecked_Access));

      return RetVal;
   end Get_y2;

end MSHTML.ISVGLineElement_Interface;

